Page MenuHomePhabricator

Reduce Manual Steps in Provisioning by 4
Open, Needs TriagePublic

Description

We have a lot of options for this task.

The main thing we're discussing is removing the complexity of puppet patching / getting MAC into DHCP configuration prior to installation.
Some options for this process:

  • IPv6 autoconfiguration
  • DHCP proxy to netbox API (option 82)
  • iPXE to get a parameterized network setup based on hostname

We need to flesh out these and choose an option, and push it forward. Some of these require tracking MAC and some don't. It'd be easier in general to not need the MAC to be manually entered.

Event Timeline

crusnov created this task.Feb 25 2019, 6:55 PM
crusnov updated the task description. (Show Details)Feb 25 2019, 7:02 PM
crusnov added a subscriber: faidon.Feb 25 2019, 7:04 PM

I hear that @faidon has ideas also.

herron added a subscriber: herron.Feb 27 2019, 5:14 PM
jbond added a subscriber: jbond.Feb 27 2019, 5:14 PM
crusnov moved this task from Backlog to In Progress on the User-crusnov board.Mar 21 2019, 9:44 PM
crusnov moved this task from In Progress to Ready on the User-crusnov board.
crusnov moved this task from Ready to In Progress on the User-crusnov board.Apr 23 2019, 10:21 PM

After several conversations with robh, I think we can start looking at the low hanging fruit. For the record all of these processes are mediated by a dynamic, ever changing checklist.

Resources for the actual process:

getting the netbox module in the cookbooks will save steps on decoms and probably reimages and installs (which share many procedures); the caveat is that in decoms it will have to prompt as to the state to transition into (decom or spare).